2023-06-08 15:52 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 10%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试手顺】：副屏执行monkey稳定性测试

【预期结果】：无黑卡死等严重问题发生，无Crash、ANR、Tombstone内存泄露等

【实际结果】：ANR in com.android.settings

【测试环境】：中控+AMP+副屏

【副屏版本】：01.00.0106

【中控版本】： 0088

【VIN】：HRYTTESTVINMGM816

【全量log】：https://ofs.human-horizons.com/#/download/index/O8jsc%2BKqeU4%3D

History

#1 - 2023-06-08 15:56 - CD TEST-方永红

- Priority changed from Normal to High

- Severity changed from Normal to Major

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118648

#2 - 2023-06-08 17:04 - CD FW-廖涛

- Status changed from New to ASSIGNED

- % Done changed from 0 to 10

■ Current conclusion

从日志中看，出现 ANR 的应用非常多（系统应用及三方应用），应该是系统整体资源占用高变慢导致的 ANR。其中 hht_ota_mgr CPU 占用非常高，基本

都超过 90%，应该和其他卡顿问题一样。

■ Next action

等其他系统变慢、卡顿问题处理了再分析。
#3 - 2023-06-08 17:04 - CD FW-廖涛

- File 20230608-170123.png added

#4 - 2023-06-08 17:42 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#5 - 2023-06-09 11:23 - CD FW 曹覃刚

■ 我的分析

---------------------

11-11 03:07:50.830  1565 25375 E ActivityManager: ANR in com.android.settings 

11-11 03:07:50.830  1565 25375 E ActivityManager:   91% 2745/hht_ota_mgr: 36% user + 54% kernel

11-11 03:07:50.830  1565 25375 E ActivityManager: 90% TOTAL: 44% user + 39% kernel + 2.8% iowait + 2.6% irq + 1.6% softirq

//CPU使用率也超90%，cpu占用很高 ①

//其中hht_ota_mgr是占用最多的, 且持续时间很长 ②

11-11 03:07:59.368  1565  2721 I am_meminfo: [420007936,310702080,1332023296,796921856,887967744]

//内存剩余300M，总的8G，内存占用很高 ③

//检查了发生anr的trace文件，设定在加载页面，无异常发生，但是由于当前系统拉满了导致处理缓慢，超时5秒发生anr ④

//还出现了其他的anr，发生原因与上述4点一样 ⑤

---------------------

发生anr的原因如上述5点

■ 下一步计划

1.等限制后台任务数量的功能入库

2.hht_ota_mgr待客户分析结果

3.跑monkey时装的应用太多了，包含了很多大型应用，不安装额外应用，只带预置的，基本不会发生ANR的。本身跑monkey就不应该装额外应用, 是否

考虑不安装。。

#6 - 2023-06-13 15:07 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

转到JIRA上跟踪

#7 - 2023-07-14 17:52 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

1.安装过多的三方应用，在跑monkey时会产生比较大的影响，大型游戏比较吃资源，应用中也存在各种流氓操作，同时受限于设备的硬件性能，产生

的anr问题无法完全杜绝

 需要项目上讨论下，测试目标是否合理，目前看，基于上述原因, 无法完全杜绝ANR的发生

先关闭
#8 - 2023-07-14 17:53 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
